#! /bin/sh

MSHOME=/usr/lib/enigma2/python/Plugins/Extensions/Mediaserver7025/Mediaserver7025
ERHOME=/usr/lib/enigma2/python/Plugins/Extensions/DM7025remote

cd $MSHOME

chmod 777 /dev/input/event1
chmod 777 $ERHOME/osdshot.png

case "$1" in
    stop)
        echo -n "stopping Mediaserver ... "
	kill -9  `ps -e | grep Mediaserver7025 |  head -n 1 - | cut -c 1-6` > /dev/null 2>&1
	echo "done."
	;;
    restart)
        echo -n "restarting Mediaserver ... "
	kill -9  `ps -e | grep Mediaserver7025 |  head -n 1 - | cut -c 1-6` > /dev/null 2>&1
        python Mediaserver7025.py > /var/tmp/mslogfile 2>&1  &
	echo "done."
	;;
    start)
        echo -n "starting Mediaserver ... "
        python Mediaserver7025.py > /var/tmp/mslogfile 2>&1  &
	echo "done."
	;;
    *)
    echo "Usage: mediaserver.sh {start|stop|restart}"
esac

exit 0
